package com.tptj.demo.hg.resource.repository.factory.provider;

import com.fr.config.Identifier;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.io.context.info.RepositoryProfile;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/7/20
 **/
public class DemoProfile extends RepositoryProfile<DemoConfig> {

    @Identifier("DemoConfig")
    private Conf<DemoConfig> config = Holders.obj(null, DemoConfig.class);

    @Override
    public DemoConfig getConfig() {
        return config.get();
    }

    @Override
    public void setConfig(DemoConfig config) {
        this.config.set(config);
    }

    @Override
    public RepositoryProfile<DemoConfig> clone() throws CloneNotSupportedException {
        DemoProfile cloned = (DemoProfile) super.clone();
        cloned.config = (Conf<DemoConfig>) this.config.clone();
        return cloned;
    }
}
