package com.tptj.demo.hg.resource.repository.factory.provider;

import com.fr.io.base.provider.impl.ConfigRepositoryFactory;
import com.fr.io.context.info.RepositoryProfile;
import com.fr.io.repository.ResourceRepository;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/7/20
 **/
public class DemoFactory extends ConfigRepositoryFactory<DemoConfig> {
    public static final String IDENTITY = "DEMO";
    public DemoFactory() {
        super(IDENTITY);
    }

    @Override
    public Class<? extends RepositoryProfile<DemoConfig>> getProfileClass() {
        return DemoProfile.class;
    }

    @Override
    public Class<DemoConfig> getConfigClass() {
        return DemoConfig.class;
    }

    @Override
    public boolean verifyConfig(DemoConfig config) {
        return true;
    }

    @Override
    public ResourceRepository produce(String name, String root, DemoConfig config) {
        return new DemoRepository(name, root, config.getRoot() );
    }
}
